# Configuration for NASA.

[options]
    require_manual_disambiguation = true

[divisions]
    # Full Power
    open = {name="open", min=0, max=999, sex='M'}
    youth = {name="youth", min=5, max=12, sex='M'}
    hs = {name="hs", min=13, max=19, sex='M'}
    fs = {name="fs", min=13, max=19, sex='M'}
    js = {name="js", min=13, max=19, sex='M'}
    hsp = {name="hsp", min=13, max=19, sex='M'}
    teen = {name="teen", min=13, max=19, sex='M'}
    jr = {name="jr", min=20, max=23, sex='M'}
    int = {name="int", min=24, max=29, sex='M'}
    sm1 = {name="sm1", min=30, max=35, sex='M'}
    sm2 = {name="sm2", min=35, max=39, sex='M'}
    sm = {name="sm", min=30, max=39, sex='M'}
    m1 = {name="m1", min=40, max=49, sex='M'}
    m2 = {name="m2", min=50, max=59, sex='M'}
    m3 = {name="m3", min=60, max=69, sex='M'}
    m4 = {name="m4", min=70, max=999, sex='M'}
    m5 = {name="m5", min=40, max=999, sex='M'}
    nov = {name="nov", min=0, max=999, sex='M'}
    pf = {name="p+f", min=0, max=999, sex='M'}
    pure = {name="pure", min=0, max=999, sex='M'}
    nat = {name="nat", min=0, max=999, sex='M'}
    pn = {name="pn", min=0, max=999, sex='M'} #Pure novice
    smp = {name="smp", min=30, max=39, sex='M'} # Submasters Pure?   
    mp = {name="mp", min=40, max=999, sex='M'} # Masters Pure?
    so = {name="so", min=0, max=999, sex='M'} # Special olympics
    hc = {name="hc", min=0, max=999, sex='M'} # Handicapped
    mevol = {name="mevol", min=0, max=999, sex='M'} # No idea.

    wopen = {name="wopen", min=0, max=999, sex='F'}
    wyouth = {name="wyouth", min=5, max=12, sex='F'}
    whs = {name="whs", min=13, max=19, sex='F'}
    whsp = {name="whsp", min=13, max=19, sex='F'}
    wfs = {name="wfs", min=13, max=19, sex='F'}
    wjs = {name="wjs", min=13, max=19, sex='F'}
    wteen = {name="wteen", min=13, max=19, sex='F'}
    wjr = {name="wjr", min=20, max=23, sex='F'}
    wint = {name="wint", min=24, max=29, sex='F'}
    wsm1 = {name="wsm1", min=30, max=35, sex='F'}
    wsm2 = {name="wsm2", min=35, max=39, sex='F'}
    wsm = {name="wsm", min=30, max=39, sex='F'}
    wm1 = {name="wm1", min=40, max=49, sex='F'}
    wm2 = {name="wm2", min=50, max=59, sex='F'}
    wm3 = {name="wm3", min=60, max=69, sex='F'}
    wm4 = {name="wm4", min=70, max=999, sex='F'}
    wm5 = {name="wm5", min=40, max=999, sex='F'}
    wnov = {name="wnov", min=0, max=999, sex='F'}
    wpf = {name="wp+f", min=0, max=999, sex='F'}
    wpure = {name="wpure", min=0, max=999, sex='F'}
    wpn = {name="wpn", min=0, max=999, sex='F'}
    wnat = {name="wnat", min=0, max=999, sex='F'}
    wsmp = {name="wsmp", min=30, max=39, sex='F'} # Submasters Pure?
    wmp = {name="wmp", min=40, max=999, sex='F'} # Masters Pure?
    wso = {name="wso", min=0, max=999, sex='F'} # Special olympics

    # Bench

    bpfs = {name="bpfs", min=13, max=19, sex='M'}
    bpopen = {name="bpopen", min=0, max=999, sex='M'}
    bpyouth = {name="bpyouth", min=5, max=12, sex='M'}
    bphs = {name="bphs", min=13, max=19, sex='M'}
    bphsp = {name="bphsp", min=13, max=19, sex='M'}
    bpteen = {name="bpteen", min=13, max=19, sex='M'}
    bpjr = {name="bpjr", min=20, max=23, sex='M'}
    bpint = {name="bpint", min=24, max=29, sex='M'}
    bpsm1 = {name="bpsm1", min=30, max=35, sex='M'}
    bpsm2 = {name="bpsm2", min=35, max=39, sex='M'}
    bpsm = {name="bpsm", min=30, max=39, sex='M'}
    bpm1 = {name="bpm1", min=40, max=49, sex='M'}
    bpm2 = {name="bpm2", min=50, max=59, sex='M'}
    bpm3 = {name="bpm3", min=60, max=69, sex='M'}
    bpm4 = {name="bpm4", min=70, max=999, sex='M'}
    bpm5 = {name="bpm5", min=80, max=999, sex='M'}
    bpnov = {name="bpnov", min=0, max=999, sex='M'}
    bppf = {name="bpp+f", min=0, max=999, sex='M'}
    bppure = {name="bppure", min=0, max=999, sex='M'}
    bpnat = {name="bpnat", min=0, max=999, sex='M'}
    bppn = {name="bppn", min=0, max=999, sex='M'} #Pure novice
    bpsmp = {name="bpsmp", min=30, max=39, sex='M'} # Submasters Pure?   
    bpmp = {name="bpmp", min=40, max=999, sex='M'} # Masters Pure?
    bpso = {name="bpso", min=0, max=999, sex='M'} # Special olympics
    bphc = {name="bphc", min=0, max=999, sex='M'} # Handicapped

    wbpopen = {name="wbpopen", min=0, max=999, sex='F'}
    wbpyouth = {name="wbpyouth", min=5, max=12, sex='F'}
    wbphs = {name="wbphs", min=13, max=19, sex='F'}
    wbpteen = {name="wbpteen", min=13, max=19, sex='F'}
    wbpjr = {name="wbpjr", min=20, max=23, sex='F'}
    wbpint = {name="wbpint", min=24, max=29, sex='F'}
    wbpsm1 = {name="wbpsm1", min=30, max=35, sex='F'}
    wbpsm2 = {name="wbpsm2", min=35, max=39, sex='F'}
    wbpsm = {name="wbpsm", min=30, max=39, sex='F'}
    wbpm1 = {name="wbpm1", min=40, max=49, sex='F'}
    wbpm2 = {name="wbpm2", min=50, max=59, sex='F'}
    wbpm3 = {name="wbpm3", min=60, max=69, sex='F'}
    wbpm4 = {name="wbpm4", min=70, max=999, sex='F'}
    wbpnov = {name="wbpnov", min=0, max=999, sex='F'}
    wbppf = {name="wbpp+f", min=0, max=999, sex='F'}
    wbppure = {name="wbppure", min=0, max=999, sex='F'}
    wbpsmp = {name="wbpsmp", min=40, max=999, sex='F'} # Submasters Pure?   
    wbpmp = {name="wbpmp", min=40, max=999, sex='F'} # Masters Pure?

    # Deadlift
    dlfs = {name="dlfs", min=13, max=19, sex='M'}
    dlopen = {name="dlopen", min=0, max=999, sex='M'}
    dlyouth = {name="dlyouth", min=5, max=12, sex='M'}
    dlhs = {name="dlhs", min=13, max=19, sex='M'}
    dlteen = {name="dlteen", min=13, max=19, sex='M'}
    dljr = {name="dljr", min=20, max=23, sex='M'}
    dlint = {name="dlint", min=24, max=29, sex='M'}
    dlsm1 = {name="dlsm1", min=30, max=35, sex='M'}
    dlsm2 = {name="dlsm2", min=35, max=39, sex='M'}
    dlsm = {name="dlsm", min=30, max=39, sex='M'}
    dlm1 = {name="dlm1", min=40, max=49, sex='M'}
    dlm2 = {name="dlm2", min=50, max=59, sex='M'}
    dlm3 = {name="dlm3", min=60, max=69, sex='M'}
    dlm4 = {name="dlm4", min=70, max=999, sex='M'}
    dlnov = {name="dlnov", min=0, max=999, sex='M'}
    dlpf = {name="dlp+f", min=0, max=999, sex='M'}
    dlpure = {name="dlpure", min=0, max=999, sex='M'}
    dlpn = {name="dlpn", min=0, max=999, sex='M'} #Pure novice
    dlnat = {name="dlnat", min=0, max=999, sex='M'} # Natural
    dlsmp = {name="dlsmp", min=40, max=999, sex='M'} # Submasters Pure?   
    dlmp = {name="dlmp", min=40, max=999, sex='M'} # Masters Pure?

    wdlopen = {name="wdlopen", min=0, max=999, sex='F'}
    wdlyouth = {name="wdlyouth", min=5, max=12, sex='F'}
    wdlhs = {name="wdlhs", min=13, max=19, sex='F'}
    wdlteen = {name="wdlteen", min=13, max=19, sex='F'}
    wdljr = {name="wdljr", min=20, max=23, sex='F'}
    wdlint = {name="wdlint", min=24, max=29, sex='F'}
    wdlsm1 = {name="wdlsm1", min=30, max=35, sex='F'}
    wdlsm2 = {name="wdlsm2", min=35, max=39, sex='F'}
    wdlm1 = {name="wdlm1", min=40, max=49, sex='F'}
    wdlm2 = {name="wdlm2", min=50, max=59, sex='F'}
    wdlm3 = {name="wdlm3", min=60, max=69, sex='F'}
    wdlm4 = {name="wdlm4", min=70, max=999, sex='F'}
    wdlnov = {name="wdlnov", min=0, max=999, sex='F'}
    wdlpf = {name="wdlp+f", min=0, max=999, sex='F'}
    wdlpure = {name="wdlpure", min=0, max=999, sex='F'}
    wdlsmp = {name="wdlsmp", min=40, max=999, sex='F'}
    wdlmp = {name="wdlmp", min=40, max=999, sex='F'}
    wsodl = {name="wsodl", min=0, max=999, sex='F'}

    # Squat
    sqopen = {name="sqopen", min=0, max=999, sex='M'}
    sqyouth = {name="sqyouth", min=5, max=12, sex='M'}
    sqhs = {name="sqhs", min=13, max=19, sex='M'}
    sqteen = {name="sqteen", min=13, max=19, sex='M'}
    sqjr = {name="sqjr", min=20, max=23, sex='M'}
    sqint = {name="sqint", min=24, max=29, sex='M'}
    sqsm1 = {name="sqsm1", min=30, max=35, sex='M'}
    sqsm2 = {name="sqsm2", min=35, max=39, sex='M'}
    sqsm = {name="sqsm", min=30, max=39, sex='M'}
    sqm1 = {name="sqm1", min=40, max=49, sex='M'}
    sqm2 = {name="sqm2", min=50, max=59, sex='M'}
    sqm3 = {name="sqm3", min=60, max=69, sex='M'}
    sqm4 = {name="sqm4", min=70, max=999, sex='M'}
    sqnov = {name="sqnov", min=0, max=999, sex='M'}
    sqpf = {name="sqp+f", min=0, max=999, sex='M'}
    sqpure = {name="sqpure", min=0, max=999, sex='M'}
    sqnat = {name="sqnat", min=0, max=999, sex='M'} # Natural
    sqpn = {name="sqpn", min=0, max=999, sex='M'} # Natural
    sqsmp = {name="sqsmp", min=40, max=999, sex='M'} # Submasters Pure?   
    sqmp = {name="sqmp", min=40, max=999, sex='M'} # Masters Pure?


    wsqopen = {name="wsqopen", min=0, max=999, sex='F'}
    wsqyouth = {name="wsqyouth", min=5, max=12, sex='F'}
    wsqhs = {name="wsqhs", min=13, max=19, sex='F'}
    wsqteen = {name="wsqteen", min=13, max=19, sex='F'}
    wsqjr = {name="wsqjr", min=20, max=23, sex='F'}
    wsqint = {name="wsqint", min=24, max=29, sex='F'}
    wsqsm1 = {name="wsqsm1", min=30, max=35, sex='F'}
    wsqsm2 = {name="wsqsm2", min=35, max=39, sex='F'}
    wsqsm = {name="wsqsm", min=30, max=39, sex='F'}
    wsqm1 = {name="wsqm1", min=40, max=49, sex='F'}
    wsqm2 = {name="wsqm2", min=50, max=59, sex='F'}
    wsqm3 = {name="wsqm3", min=60, max=69, sex='F'}
    wsqm4 = {name="wsqm4", min=70, max=999, sex='F'}
    wsqnov = {name="wsqnov", min=0, max=999, sex='F'}
    wsqpf = {name="wsqp+f", min=0, max=999, sex='F'}
    wsqpure = {name="wsqpure", min=0, max=999, sex='F'}
    wsqsmp = {name="wsqsmp", min=40, max=999, sex='F'} # Submasters Pure?   
    wsqmp = {name="wsqmp", min=40, max=999, sex='F'} # Masters Pure?


    # Retro divisions - bare knee
    retroopen = {name="retroopen", min=0, max=999, sex='M', equipment='Raw'}
    retroyouth = {name="retroyouth", min=5, max=12, sex='M', equipment='Raw'}
    retrohs = {name="retrohs", min=13, max=19, sex='M', equipment='Raw'}
    retroteen = {name="retroteen", min=13, max=19, sex='M', equipment='Raw'}
    retrojr = {name="retrojr", min=20, max=23, sex='M', equipment='Raw'}
    retroint = {name="retroint", min=24, max=29, sex='M', equipment='Raw'}
    retrosm1 = {name="retrosm1", min=30, max=35, sex='M', equipment='Raw'}
    retrosm2 = {name="retrosm2", min=35, max=39, sex='M', equipment='Raw'}
    retrom1 = {name="retrom1", min=40, max=49, sex='M', equipment='Raw'}
    retrom2 = {name="retrom2", min=50, max=59, sex='M', equipment='Raw'}
    retrom3 = {name="retrom3", min=60, max=69, sex='M', equipment='Raw'}
    retrom4 = {name="retrom4", min=70, max=999, sex='M', equipment='Raw'}
    retrom5 = {name="retrom5", min=80, max=999, sex='M', equipment='Raw'}
    retronov = {name="retronov", min=0, max=999, sex='M', equipment='Raw'}
    retropf = {name="retrop+f", min=0, max=999, sex='M', equipment='Raw'}
    retropure = {name="retropure", min=0, max=999, sex='M', equipment='Raw'}
    retrosmp = {name="retrosmp", min=40, max=999, sex='M', equipment='Raw'}
    retromp = {name="retromp", min=40, max=999, sex='M', equipment='Raw'}

    retrowopen = {name="retrowopen", min=0, max=999, sex='F', equipment='Raw'}
    retrowyouth = {name="retrowyouth", min=5, max=12, sex='F', equipment='Raw'}
    retrowhs = {name="retrowhs", min=13, max=19, sex='F', equipment='Raw'}
    retrowteen = {name="retrowteen", min=13, max=19, sex='F', equipment='Raw'}
    retrowjr = {name="retrowjr", min=20, max=23, sex='F', equipment='Raw'}
    retrowint = {name="retrowint", min=24, max=29, sex='F', equipment='Raw'}
    retrowsm1 = {name="retrowsm1", min=30, max=35, sex='F', equipment='Raw'}
    retrowsm2 = {name="retrowsm2", min=35, max=39, sex='F', equipment='Raw'}
    retrowm1 = {name="retrowm1", min=40, max=49, sex='F', equipment='Raw'}
    retrowm2 = {name="retrowm2", min=50, max=59, sex='F', equipment='Raw'}
    retrowm3 = {name="retrowm3", min=60, max=69, sex='F', equipment='Raw'}
    retrowm4 = {name="retrowm4", min=70, max=79, sex='F', equipment='Raw'}
    retrowm5 = {name="retrowm5", min=80, max=999, sex='F', equipment='Raw'}
    retrownov = {name="retrownov", min=0, max=999, sex='F', equipment='Raw'}
    retrowpf = {name="retrowp+f", min=0, max=999, sex='F', equipment='Raw'}
    retrowpure = {name="retrowpure", min=0, max=999, sex='F', equipment='Raw'}
    retrowsmp = {name="retrowsmp", min=40, max=999, sex='F', equipment='Raw'}
    retrowmp = {name="retrowmp", min=40, max=999, sex='F', equipment='Raw'}

    # Misc divisions
    light = {name="light", min=0, max=999, sex='M'}
    middle = {name="middle", min=0, max=999, sex='M'}
    heavy = {name="heavy", min=0, max=999, sex='M'}

[weightclasses.default_M]
    classes = ["52", "56", "60", "67.5", "75", "82.5", "90", "100", "110", "125", "140", "140+"]
    date_range = ["2004-01-01", "9999-01-01"]
    sex = "M"

[weightclasses.default_F]
    classes = ["44", "48", "52", "56", "60", "67.5", "75", "82.5", "90", "100", "110", "90+"]
    date_range = ["2004-01-01", "9999-01-01"]
    sex = "F"

[weightclasses.old_M]
    classes = ["54", "58", "63", "70", "77.5", "85", "93", "103", "113.5", "127", "143", "143+"]
    date_range = ["1900-01-01", "2003-12-31"]
    sex = "M"

[weightclasses.old_F]
    classes = ["46", "50", "54", "58", "63", "70", "77.5", "85", "85+"]
    date_range = ["1900-01-01", "2003-12-31"]
    sex = "F"

[weightclasses.youth_M]
    classes = ["40", "44", "48", "52", "56", "60", "67.5", "75", "82.5", "90", "100", "110", "125", "140", "140+"]
    date_range = ["2004-01-01", "9999-01-01"]
    sex = "M"
    divisions = ["youth", "bpyouth", "dlyouth"]

[weightclasses.youth_F]
    classes = ["40", "44", "48", "52", "56", "60", "67.5", "75", "82.5", "90", "90+"]
    date_range = ["2004-01-01", "9999-01-01"]
    sex = "F"
    divisions = ["wyouth", "wbpyouth"]

[weightclasses.old_youth_M]
    classes = ["25","35","40","46","50","54", "58", "63", "70", "77.5", "85", "93", "103", "113.5", "127", "143", "143+"]
    date_range = ["1900-01-01", "2003-12-31"]
    sex = "M"
    divisions = ["youth", "bpyouth", "dlyouth", "sqyouth"]

[weightclasses.old_youth_F]
    classes = ["25","35","40","46", "50", "54", "58", "63", "70", "77.5", "85", "85+"]
    date_range = ["1900-01-01", "2003-12-31"]
    sex = "F"
    divisions = ["wyouth", "wbpyouth", "wdlyouth"]

[exemptions]
    0904 = ["ExemptDivision"]  # Non-standard divisions.
    1005 = ["ExemptDivision"]  # LW, HW
    1813 = ["ExemptWeightClassConsistency"]  # old Youth weightclass used
    2307 = ["ExemptDivision"] # Non-standard divisions.
